# Uses of Class
org.apache.sling.fsprovider.internal.mapper.ContentFile

Packages that use ContentFile
Package
Description
org.apache.sling.fsprovider.internal.mapper
org.apache.sling.fsprovider.internal.mapper.jcr

## Uses of ContentFile in org.apache.sling.fsprovider.internal.mapper

Methods in org.apache.sling.fsprovider.internal.mapper that return ContentFile
Modifier and Type
Method
Description
`ContentFile`
ContentFile.`navigateToAbsolute(String newSubPath)`
Navigate to another sub path position in content file.
`ContentFile`
ContentFile.`navigateToRelative(String newSubPath)`
Navigate to another sub path position in content file.

## Uses of ContentFile in org.apache.sling.fsprovider.internal.mapper.jcr

Fields in org.apache.sling.fsprovider.internal.mapper.jcr declared as ContentFile
Modifier and Type
Field
Description
`protected final ContentFile`
FsItem.`contentFile`
Constructors in org.apache.sling.fsprovider.internal.mapper.jcr with parameters of type ContentFile
Modifier
Constructor
Description
``
`FsNode(ContentFile contentFile, org.apache.sling.api.resource.ResourceResolver resolver)`